BLAS/SRC/ddot.f(3)

NAME
BLAS/SRC/ddot.f

SYNOPSIS

  Functions/Subroutines
double precision function ddot (n, dx, incx, dy, incy)
DDOT

Function/Subroutine Documentation

  double precision function ddot (integer n, double precision, dimension(*) dx, integer incx, double precision, dimension(*) dy, integer incy)

DDOT

Purpose:

        DDOT forms the dot product of two vectors.
        uses unrolled loops for increments equal to one.

Parameters
    N

              N is INTEGER
             number of elements in input vector(s)

    DX

              DX is DOUBLE PRECISION array, dimension ( 1 + ( N - 1 )*abs( INCX ) )

    INCX

              INCX is INTEGER
             storage spacing between elements of DX

    DY

              DY is DOUBLE PRECISION array, dimension ( 1 + ( N - 1 )*abs( INCY ) )

    INCY

              INCY is INTEGER
             storage spacing between elements of DY

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Further Details:

         jack dongarra, linpack, 3/11/78.
         modified 12/3/93, array(1) declarations changed to array(*)

Definition at line 81 of file ddot.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.